<?php

/**
 * @package         Google Structured Data Markup
 * @version         2.0.0 Free
 *
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2016 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 */

// No direct access
defined('_JEXEC') or die;

require_once __DIR__ . '/wrapper.php';

class NR_SendGrid extends NR_Wrapper
{
	/**
	 * Create a new instance
	 * @param string $key Your SendGrid API Key
	 * @throws \Exception
	 */
	public function __construct($key)
	{
		parent::__construct();
		$this->setKey($key);
		$this->setEndpoint('https://api.sendgrid.com/v3');
		$this->options->set('headers.Authorization', 'Bearer ' . $this->key);
	}
}
